﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
	<telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">

		<script type="text/javascript">
			function SetValue()
			{
				var panel = $find("<%=XmlPanel1.ClientID %>");
				panel.set_value("test");
			}
		</script>

		<telerik:RadScriptBlock ID="QARadScriptBlock" runat="server">

			<script type="text/javascript">
				function QARadRating_ClientRated(sender, args)
				{
					// Included as an extra attribute when binding 
					var assessmentResponseId = sender.get_element().getAttribute("assessmentresponseid");

					var answerIndex = sender.get_value();
					var panel = $find("<%=XmlPanel1.ClientID %>");
					var ratedValues = assessmentResponseId + '|' + answerIndex;

					panel.set_value(ratedValues);
				}
			</script>

		</telerik:RadScriptBlock>
	</telerik:RadScriptBlock>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<input value="Set Value" onclick="SetValue(); return false;" type="button" />
	<div>
		<telerik:RadXmlHttpPanel ID="XmlPanel1" runat="server" OnServiceRequest="XmlPanel1_ServiceRequest"
			EnableClientScriptEvaluation="true">
			<telerik:RadListView ID="QARadListView" runat="server" ItemPlaceholderID="QAListViewPlaceHolder"
				AllowCustomPaging="True" AllowPaging="True" ToolTip="Please select the relevant assessment to complete."
				OnNeedDataSource="QARadListView_NeedDataSource">
				<LayoutTemplate>
					<div>
						Page
						<%# QARadListView.CurrentPageIndex + 1 %>
						of
						<%# QARadListView.PageCount %></div>
					<div style="float: left">
						<asp:PlaceHolder ID="QAListViewPlaceHolder" runat="server"></asp:PlaceHolder>
						<br />
						<div style="clear: both;">
							<div class="buttonDiv">
								<asp:Button ID="QAPrevButton" runat="server" Text="Previous" ToolTip="Go to previous page of questions"
									CssClass="pageButton" Visible="<%# QARadListView.CurrentPageIndex > 0 %>" />
								<asp:Button ID="QANextButton" runat="server" Enabled="true" Text="Next" ToolTip="Go to next page of questions"
									CssClass="pageButton" Visible="<%# QARadListView.CurrentPageIndex < QARadListView.PageCount -1 %>" />
								<asp:Button ID="AssessmentFinishButton" runat="server" Text="Finish" CssClass="pageButton"
									Visible="<%# QARadListView.CurrentPageIndex == QARadListView.PageCount -1 %>" />
							</div>
						</div>
					</div>
				</LayoutTemplate>
				<ItemTemplate>
					<div class="questionRowDiv">
						<div class="responseDiv">
							<telerik:RadRating ID="ResponseRadRating" runat="server" RegisterWithScriptManager="false"
								ItemCount="5" SelectionMode="Continuous" Value="<%# RatedValue %>" ToolTip="Please select an answer that is most acurate"
								OnClientRated="QARadRating_ClientRated" />
						</div>
					</div>
				</ItemTemplate>
				<AlternatingItemTemplate>
					<div class="questionRowDivAlt">
						<div class="responseDiv">
							<telerik:RadRating ID="ResponseRadRating" runat="server" RegisterWithScriptManager="false"
								ItemCount="5" SelectionMode="Continuous" Value="<%# RatedValue %>" ToolTip="Please select an answer that is most acurate"
								OnClientRated="QARadRating_ClientRated" />
						</div>
					</div>
				</AlternatingItemTemplate>
			</telerik:RadListView>
		</telerik:RadXmlHttpPanel>
	</div>
	</form>
</body>
</html>
